编译安装Shadowsocks_qt5

通过编译安装ss-qt5

安装 libqtshadowsocks-dev

apt-get install qt5-qmake qtbase5-dev libbotan1.10-dev pkg-config debhelper
git clone https://github.com/shadowsocks/libQtShadowsocks.git
cd libQtShadowsocks/
dpkg-buildpackage -uc -us -b

注意这一步选择对应的版本和架构(如果你是32位的,后面就不是amd64而是i386),自己看编译好的文件名称进行安装

dpkg -i ../libqtshadowsocks_1.11.0-1_amd64.deb ../libqtshadowsocks-dev_1.11.0-1_amd64.deb
cd ..

安装ss-qt5

apt-get install libqrencode-dev libzbar-dev libappindicator-dev
git clone https://github.com/shadowsocks/shadowsocks-qt5.git
cd shadowsocks-qt5/
apt-get install cmake
dpkg-buildpackage -uc -us -b
dpkg -i ../shadowsocks-qt5_2.9.0-1_amd64.deb

*转载请注明来自AresX’s Blog

本博客采用 知识共享署名-非商业性使用-相同方式共享 4.0 国际许可协议(CC BY-NC-SA 4.0) 发布.转载请注明出处
本文链接:https://ares-x.com/2017/09/02/编译安装Shadowsocks-qt5/